#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Python 2 module to get image size from PNG/JPEG/JPEG2000/GIF file
Summary(pl.UTF-8):	Moduł Pythona 2 do pobierania rozmiaru obrazu z pliku PNG/JPEG/JPEG2000/GIF
Name:		python-imagesize
Version:	1.4.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/imagesize/
Source0:	https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-%{version}.tar.gz
# Source0-md5:	5a40586a25c07e1a8f16f6267252c321
Patch0:		%{name}-py2.patch
URL:		https://pypi.org/project/imagesize/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module analyzes JPEG/JPEG2000/PNG/GIF image header and returns
image size.

%description -l pl.UTF-8
Ten moduł analizuje nagłówek pliku JPEG/JPEG2000/PNG/GIF i zwraca
rozmiary obrazka.

%package -n python3-imagesize
Summary:	Python 3 module to get image size from PNG/JPEG/JPEG2000/GIF file
Summary(pl.UTF-8):	Moduł Pythona 3 do pobierania rozmiaru obrazu z pliku PNG/JPEG/JPEG2000/GIF
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-imagesize
This module analyzes JPEG/JPEG2000/PNG/GIF image header and returns
image size.

%description -n python3-imagesize -l pl.UTF-8
Ten moduł analizuje nagłówek pliku JPEG/JPEG2000/PNG/GIF i zwraca
rozmiary obrazka.

%prep
%setup -q -n imagesize-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m unittest discover -s test
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s test
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE.rst README.rst
%{py_sitescriptdir}/imagesize
%{py_sitescriptdir}/imagesize-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-imagesize
%defattr(644,root,root,755)
%doc LICENSE.rst README.rst
%{py3_sitescriptdir}/imagesize
%{py3_sitescriptdir}/imagesize-%{version}-py*.egg-info
%endif
%changelog
* Sun Sep 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-imagesize.git;a=log;h=master

* Sun Sep 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 8a17510
- updated to 1.4.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9db0ff7
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 36e0589
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> bc418f9
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> d27ccd1
- updated to 1.3.0
- added py2 patch (fixes python2 tests in presence of python-pathlib package)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 7cfd406
- release 2 (by relup.sh)

* Sat Dec 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 31c5aad
- updated to 1.2.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1150cc1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> aeea0d7
- updated to 1.1.0

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> b6bf6ca
- updated to 1.0.0, enabled tests

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ad6699
- release 3 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 228c8d3
- python3.6
- release 2 (by relup.sh)

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 3310dfd
- new

